@import "../variables"
.questionnaire-item

  padding: 3.15rem 2.5rem
  display: flex
  flex-direction: column
  align-items: center
  &_title
    text-align: center
    font-size: 1.285rem
    margin-bottom: 1.5rem
    max-width: 600px
  .questionnaire_img_wrap
    margin: 2.5rem 0
  &_steps
    display: flex
    align-items: center
    justify-content: center
    color: $text_gray
  &_data
    display: flex
    justify-content: space-between
    flex-wrap: nowrap
    margin-top: 2.85rem
    width: 100%
    .item_limits
      display: flex
      flex-direction: column
      align-items: center
      max-width: 160px
      .icon
        display: flex
        justify-content: center
        margin-bottom: 1.7rem
      .text
        text-align: center
    .item_marks
      display: flex
      justify-content: space-between
      align-items: center
      .questionnaire_input_group
        margin: 0 18px
        input
          position: absolute
          z-index: -1
          opacity: 0
          &:checked~label
            background-color: $hover_blue
            border-color: $hover_blue
            color: white
        label
          border-radius: 50%
          border: 1px solid $text_gray
          color: $text_gray
          display: flex
          justify-content: center
          align-items: center
          font-weight: bold
          transition: all .3s ease-in-out
          height: 41px
          width: 41px
          cursor: pointer
          &:hover
            background-color: $hover_blue
            border-color: $hover_blue
            color: white
    .comment_area
      display: block
      width: 100%
      max-width: 612px
      margin: 0 auto
      border: 1px solid $border_grey
      border-radius: 5px
      padding: 1rem 1.25rem
      letter-spacing: 1.12px
      color: $text_black
      &:focus,&:active
        box-shadow: none
        outline: none
    .extended_questionnaire_list
      display: flex
      flex-wrap: wrap
      .extended_questionnaire_item
        width: 50%
        margin-bottom: 1.2rem
        .custom-control-label
          &::before
            width: 16px
            height: 16px
            top: 0.15rem
        .custom-control-input:checked~.custom-control-label
          &:before
            background-color: white
            border: 1px solid $border_grey
          &:after
            background-image: none
            background-color: $blue
            border-radius: 50%
            width: 10px
            height: 10px
            left: -18px
            top: 5px



  .bnt_wrap
    margin-top: 6rem
    display: flex
    flex-direction: column
    align-items: center
    .questionnaire-nav
      margin-top: 5rem
    .questionnaire_text
      margin-top: 30px
      margin-bottom: 0
      color: $text_black
      text-align: center
